# Enum Class CLNChannelsTypeDescriptionStandard

java.lang.Object
java.lang.Enum<CLNChannelsTypeDescriptionStandard>
com.io7m.calino.api.CLNChannelsTypeDescriptionStandard

All Implemented Interfaces:
  `CLNChannelsTypeDescriptionType, CLNDescribableType, Serializable, Comparable<CLNChannelsTypeDescriptionStandard>, Constable`

public enum CLNChannelsTypeDescriptionStandard extends Enum<CLNChannelsTypeDescriptionStandard> implements CLNChannelsTypeDescriptionType
The standard channel types.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FIXED_POINT_NORMALIZED_SIGNED`
  The channel consists of signed, normalized, fixed-point values.
  `FIXED_POINT_NORMALIZED_UNSIGNED`
  The channel consists of unsigned, normalized, fixed-point values.
  `FLOATING_POINT_IEEE754_SIGNED`
  The channel consists of signed IEE754 floating point values.
  `FLOATING_POINT_IEEE754_UNSIGNED`
  The channel consists of unsigned IEE754 floating point values.
  `INTEGER_SIGNED`
  The channel consists of signed integer values.
  `INTEGER_UNSIGNED`
  The channel consists of unsigned integer values.
  `SCALED_SIGNED`
  The channel consists of signed scaled values; values are converted to floating point values, so -32 becomes -32.0.
  `SCALED_UNSIGNED`
  The channel consists of unsigned scaled values; values are converted to floating point values, so 0xff becomes 255.0.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CLNChannelsTypeDescriptionStandard`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CLNChannelsTypeDescriptionStandard[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface CLNDescribableType

  `descriptor`

- ## Enum Constant Details

  - ### FIXED_POINT_NORMALIZED_UNSIGNED

    public static final CLNChannelsTypeDescriptionStandard FIXED_POINT_NORMALIZED_UNSIGNED
    The channel consists of unsigned, normalized, fixed-point values.

  - ### FIXED_POINT_NORMALIZED_SIGNED

    public static final CLNChannelsTypeDescriptionStandard FIXED_POINT_NORMALIZED_SIGNED
    The channel consists of signed, normalized, fixed-point values.

  - ### SCALED_UNSIGNED

    public static final CLNChannelsTypeDescriptionStandard SCALED_UNSIGNED
    The channel consists of unsigned scaled values; values are converted to floating point values, so 0xff becomes 255.0.

  - ### SCALED_SIGNED

    public static final CLNChannelsTypeDescriptionStandard SCALED_SIGNED
    The channel consists of signed scaled values; values are converted to floating point values, so -32 becomes -32.0.

  - ### INTEGER_UNSIGNED

    public static final CLNChannelsTypeDescriptionStandard INTEGER_UNSIGNED
    The channel consists of unsigned integer values.

  - ### INTEGER_SIGNED

    public static final CLNChannelsTypeDescriptionStandard INTEGER_SIGNED
    The channel consists of signed integer values.

  - ### FLOATING_POINT_IEEE754_SIGNED

    public static final CLNChannelsTypeDescriptionStandard FLOATING_POINT_IEEE754_SIGNED
    The channel consists of signed IEE754 floating point values.

  - ### FLOATING_POINT_IEEE754_UNSIGNED

    public static final CLNChannelsTypeDescriptionStandard FLOATING_POINT_IEEE754_UNSIGNED
    The channel consists of unsigned IEE754 floating point values.

- ## Method Details

  - ### values

    public static CLNChannelsTypeDescriptionStandard[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CLNChannelsTypeDescriptionStandard valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null